Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » M2T (model-to-text transformation) » Error while creating Acceleo project
Error while creating Acceleo project [message #1816243] Thu, 24 October 2019 15:12 Go to next message
rima learnerinf is currently offline rima learnerinfFriend
Messages: 5
Registered: October 2019
Junior Member
I followed all the steps in the tutorial below to create my first project in Acceleo:
https://wiki.eclipse.org/Acceleo/Getting_Started
Everything is OK and i have started writting my templates

The probleme is when i run the project i got the errors :
-An exception occurred while dispatching debug events.
-Problems occurred when invoking code from plug-in: "org.eclipse.debug.core".

Note that i followed all the steps in the tutorial , i do all necessary modifications in the generate and manifeste file

I can't understand what is the cause of those errors and i prefer to fix the problem before i complete the writting of my templates.

I am really confused, waiting for your suggestions
In advance thanks for your help
  • Attachment: Capture.PNG
    (Size: 87.02KB, Downloaded 5 times)
Re: Error while creating Acceleo project [message #1816384 is a reply to message #1816243] Mon, 28 October 2019 20:31 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6510
Registered: July 2009
Senior Member
Hi

Your report contains very little information beyond "it doesn't work". Which of "all the steps" failed? How did you do the modifications? What versions are you using? Your screen shot suggests Acceleo 3.3.0 which is seriously old. 3.7.8 is current. Java 11 suggests a much more recent Eclipse.

org.eclipse.debug.core suggests you were doing some debugging which is certainly not an early step. You can find threads identifying debugging problems.

You might find https://wiki.eclipse.org/OCL/ForumNetiquette helpful.

Regards

Ed Willink

Re: Error while creating Acceleo project [message #1816385 is a reply to message #1816384] Mon, 28 October 2019 21:30 Go to previous messageGo to next message
rima learnerinf is currently offline rima learnerinfFriend
Messages: 5
Registered: October 2019
Junior Member
Hello,
Thanks Ed Willink for your reply.

I am using the acceleo 3.7.8, i didn't notice that the version mentionned in the manifeste file is 3.3.0. I corrected it imediately.

Before writting my templates i tried first to generate a file which contains the name of my model and a simple text" I hope it works".

The file was generated correctly. When i use Java strategy for the generation i don't have any error but when i use Acceleo Plug in strategy i have errors.

In the manifeste file i added:
- org.eclipse.uml2.uml.resources,
-Automatic-Module-Name: IPselection

In the generate.java
- i discommented : UMLResourcesUtil.init(resourceSet)
- i changed @generated to @ NOT generated

also in the class path i added the bin directory

Best regards
  • Attachment: error12.txt
    (Size: 1.15KB, Downloaded 4 times)
  • Attachment: error22.txt
    (Size: 1.18KB, Downloaded 2 times)
Re: Error while creating Acceleo project [message #1816419 is a reply to message #1816385] Tue, 29 October 2019 09:03 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6510
Registered: July 2009
Senior Member
Hi

The Acceleo Plugin launch has been broken for many (at least five years).

https://bugs.eclipse.org/bugs/show_bug.cgi?id=395726#c2

suggests that the UI has been changed to strongly discourage it.

Please raise a Bugzilla identifying where you failed to get a warning and where a tutorial recommended you do something that should be discouraged.

Regards

Ed Willink

m
Re: Error while creating Acceleo project [message #1816429 is a reply to message #1816385] Tue, 29 October 2019 11:27 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6510
Registered: July 2009
Senior Member
rima learnerinf wrote on Mon, 28 October 2019 17:30

I am using the acceleo 3.7.8, i didn't notice that the version mentionned in the manifeste file is 3.3.0. I corrected it imediately.


It probably doesn't need correcting. To a casual reader the 3.3.0 is ambiguous as exact/minimum/compatible match. My dependencies are always two-ended such as
bundle-version="[2.9.0,3.0.0)"
. If I read the spec or was able to load your MANIFEST.MF, I could tell what it actually specifies.

Regards

Ed Willink
Re: Error while creating Acceleo project [message #1816441 is a reply to message #1816429] Tue, 29 October 2019 14:02 Go to previous message
rima learnerinf is currently offline rima learnerinfFriend
Messages: 5
Registered: October 2019
Junior Member
Here is my manifeste file
  • Attachment: MANIFEST.MF
    (Size: 0.84KB, Downloaded 7 times)

[Updated on: Tue, 29 October 2019 14:05]

Report message to a moderator

Previous Topic:Code Generation via NLP
Next Topic:problem to access to applied profiles on UML elements with Acceleo
Goto Forum:
  


Current Time: Fri Nov 15 15:06:40 GMT 2019

Powered by FUDForum. Page generated in 0.02623 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top